package com.lantone.qc.kernel.catalogue.noticeinformedconsent;

import com.lantone.qc.kernel.catalogue.QCCatalogue;
import com.lantone.qc.pub.model.InputInfo;
import com.lantone.qc.pub.model.OutputInfo;
import com.lantone.qc.pub.model.doc.DoctorAdviceDoc;
import com.lantone.qc.pub.model.doc.NoticeOfConversationDoc;
import org.apache.commons.lang3.StringUtils;
import org.springframework.stereotype.Component;

import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

/**
 * @ClassName : NOT0720
 * @Description : 缺入院72小时内谈话记录
 * @Author : 胡敬
 * @Date: 2020-04-21 18:40
 */
@Component
public class NOT0720 extends QCCatalogue {
    public void start(InputInfo inputInfo, OutputInfo outputInfo) {
        NoticeOfConversationDoc noticeOfConversationDoc = inputInfo.getNoticeOfConversationDoc();
        if (noticeOfConversationDoc == null){
            status.set("0");
            return;
        }
        Map<String, String> structureMap = noticeOfConversationDoc.getStructureMap();
        if (structureMap.containsKey("入院72小时内谈话记录")){
            status.set("0");
        }
    }
}